function updateInfo(us_id) {
    $.ajax({
        url: 'update_user/' + us_id,
        type: 'POST',
        data: $("#frm1").serialize(),
        success: function (data, textStatus, jqXHR)
        {
            result = jQuery.parseJSON(data);
            if (result.success == "1")
            {
				$("#updateInfoSuccess").modal('show');
				$("#close").click(function(){
					window.location.reload(true);
				});
                
            }
            else
            {
                for (var key in result.errors)
                {
                    $('#' + key).html(result.errors[key]);
                }
            }
        }
    });
}
$("#package_register").submit(function (event)
{ 
    $.ajax({
        url: $(this).attr("action"),
        type: "POST",
        data: $("#package_register").serialize(),
        success: function (data, textStatus, jqXHR)
        {

            var results = jQuery.parseJSON(data);
            $('#package_register_modal').replaceWith(results.modal);
            $('#package_register_modal').modal('show');
            $("#package_register_back").click(function () {
                $("#account-info-tab").click();
            });
            $("#finish_package_register").click(function () {
                finish_package_register();
            });

        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            $(".ajaxloading").hide();
        }
    });
    event.preventDefault();
});

function finish_package_register()
{
    $("#package_register_errors").html("");
    $.ajax({
        url: url + "frontend/user/finishRegisterPackage",
        type: "POST",
        data: $("#do_package_register").serialize(),
        success: function (data, textStatus, jqXHR)
        {
            var results = jQuery.parseJSON(data);
            if (results.success == "1")
            {
                $("#package_register_modal").modal("hide");
                $("#success_package_register_content").html("Quý vị đã đăng kí sử dụng Công cụ Soạn Bài giảng trực tuyến. Quí vị được sử dụng dịch vụ đến hết 24h ngày "+results.expire_date);
                $("#success_package_register_modal").modal("show");
                
                $("#package_register_finish_button").click(function () {
                window.location.href = url+"frontend/lecture"; 
                
            });
            }
            else
            {
                var er = "<div class=\"alert alert-block alert-success\">";
                for (var i = 0; i < results.errors.length; i++)
                {
                    var item = results.errors[i];
                    er=er+""+item+"<br />";
                }
                $("#package_register_errors").prepend(er+"</div>");
            }
        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            $(".ajaxloading").hide();
        }
    });
}
$("#add_money").click(function () {
    $("#account-info-tab").click(); 
});
$("#"+current_tab+"-tab").click();
  

function changePassword(us_id)
{
	$('#passwd_old_err').html("");
	$('#passwd_new_err').html("");
	$('#confirm_passwd_new_err').html("");
	$.ajax({
		url: 'change_password/' + us_id,
		type: 'POST',
		data: $("#frm2").serialize(),
		success: function (data, textStatus, jqXHR)
		{	
		console.log(data);
			result = jQuery.parseJSON(data);
			if (result.success == "1")
			{   
				$("#changePassSuccess").modal('show');
			}
			else
			{
				for (var key in result.errors)
				{
					$('#'+key).html(result.errors[key]);
				}
			}
		}
	});
}

function clearFormFields(id){
        $(id).find('input:text, input:hidden, input:password, input:file, select, textarea').val('');
        $(id).find('input:radio, input:checkbox').removeAttr('checked').removeAttr('selected');
		$(id).find('.help-block').html("");
}

$('body').on('hidden.bs.modal', '.modal', function () {
	clearFormFields('#frm2');
});

function chargeCard(id)
{
	$("#charging").css('display', 'block');
	$('#btn-charge').attr("disabled", true);
	$.ajax({
		url: '/services/recharge/recharge_card/'+id,
		type: 'POST',
		data: $("#frm3").serialize(),
		success: function (data, textStatus, jqXHR)
		{	
			$("#charging").css('display', 'none');
			$('#btn-charge').attr("disabled", false);
			result = jQuery.parseJSON(data);
			if(result.success == "1")
			{
				$("#success_charge").find('#success_charge_info').text("Quí vị đã nạp thành công " + result.amount + " VNĐ vào tài khoản " + result.username + ", tài khoản ảo của quí vị là " + result.acc_balanced + " VNĐ!");
				$("#success_charge").modal('show');
			}else
			{
				$("#not_success_charge").modal('show');
			}
			
		}
	});
}


